### Enumeration

# Soup WebsocketConnectionType

#### Declaration

    enum Soup.WebsocketConnectionType

#### Description [src]

The type of a `SoupWebsocketConnection`.

#### Members

Name | Description
--- | ---
`SOUP_WEBSOCKET_CONNECTION_UNKNOWN` | Unknown/invalid connection.
`SOUP_WEBSOCKET_CONNECTION_CLIENT` | A client-side connection.
`SOUP_WEBSOCKET_CONNECTION_SERVER` | A server-side connection.